Package net.md_5.bungee.protocol.packet

# Class ClientChat

java.lang.Object
net.md_5.bungee.protocol.DefinedPacket
net.md_5.bungee.protocol.packet.ClientChat

public class ClientChat extends DefinedPacket

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientChat()`
  `ClientChat(String message, long timestamp, long salt, byte[] signature, boolean signedPreview, ChatChain chain, SeenMessages seenMessages, byte checksum)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `ChatChain`
  `getChain()`
  `byte`
  `getChecksum()`
  `String`
  `getMessage()`
  `long`
  `getSalt()`
  `SeenMessages`
  `getSeenMessages()`
  `byte[]`
  `getSignature()`
  `long`
  `getTimestamp()`
  `void`
  `handle(AbstractPacketHandler handler)`
  `int`
  `hashCode()`
  `boolean`
  `isSignedPreview()`
  `void`
  `read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`
  `void`
  `setChain(ChatChain chain)`
  `void`
  `setChecksum(byte checksum)`
  `void`
  `setMessage(String message)`
  `void`
  `setSalt(long salt)`
  `void`
  `setSeenMessages(SeenMessages seenMessages)`
  `void`
  `setSignature(byte[] signature)`
  `void`
  `setSignedPreview(boolean signedPreview)`
  `void`
  `setTimestamp(long timestamp)`
  `String`
  `toString()`
  `void`
  `write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`

  ### Methods inherited from class net.md_5.bungee.protocol.DefinedPacket

  `nextProtocol, read, read, readArray, readArray, readBaseComponent, readBaseComponent, readComponentStyle, readEitherBaseComponent, readEnumSet, readFixedBitSet, readLengthPrefixed, readNullable, readNumberFormat, readProperties, readPublicKey, readString, readString, readStringArray, readStringMapKey, readTag, readTag, readUUID, readVarInt, readVarInt, readVarIntArray, readVarShort, setVarInt, toArray, write, write, writeArray, writeBaseComponent, writeComponentStyle, writeEitherBaseComponent, writeEnumSet, writeFixedBitSet, writeLengthPrefixed, writeNullable, writeNumberFormat, writeProperties, writePublicKey, writeString, writeString, writeStringArray, writeTag, writeUUID, writeVarInt, writeVarShort`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClientChat

    public ClientChat()

  - ### ClientChat

    public ClientChat(String message, long timestamp, long salt, byte[] signature, boolean signedPreview, ChatChain chain, SeenMessages seenMessages, byte checksum)

- ## Method Details

  - ### read

    public void read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `read` in class `DefinedPacket`

  - ### write

    public void write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `write` in class `DefinedPacket`

  - ### handle

    public void handle(AbstractPacketHandler handler) throws Exception
    Specified by:
      `handle` in class `DefinedPacket`
    Throws:
      `Exception`

  - ### getMessage

    public String getMessage()

  - ### getTimestamp

    public long getTimestamp()

  - ### getSalt

    public long getSalt()

  - ### getSignature

    public byte[] getSignature()

  - ### isSignedPreview

    public boolean isSignedPreview()

  - ### getChain

    public ChatChain getChain()

  - ### getSeenMessages

    public SeenMessages getSeenMessages()

  - ### getChecksum

    public byte getChecksum()

  - ### setMessage

    public void setMessage(String message)

  - ### setTimestamp

    public void setTimestamp(long timestamp)

  - ### setSalt

    public void setSalt(long salt)

  - ### setSignature

    public void setSignature(byte[] signature)

  - ### setSignedPreview

    public void setSignedPreview(boolean signedPreview)

  - ### setChain

    public void setChain(ChatChain chain)

  - ### setSeenMessages

    public void setSeenMessages(SeenMessages seenMessages)

  - ### setChecksum

    public void setChecksum(byte checksum)

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `DefinedPacket`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in class `DefinedPacket`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `DefinedPacket`